## rinse 0.9

=== Makefile ===
#
#  Makefile for rinse, the RPM installation entity
#
# Steve
# --
# $Id: Makefile,v 1.14 2007-11-13 21:15:46 steve Exp $
#


#
#  Only used to build distribution tarballs.
#
DIST_PREFIX = ${TMP}
VERSION     = 0.9
BASE        = rinse
PREFIX      = 


#
#  Report on targets.
#
default:
	@echo " The following targets are available:"
	@echo " "
	@echo "  clean        - Remove editor backups"
	@echo "  install      - Install to ${PREFIX}"
	@echo "  test         - Run the tests"
	@echo "  test-verbose - Run the tests, verbosely"
	@echo "  uninstall    - Uninstall from ${PREFIX}"
	@echo " "


#
#  Show what has been changed in the local copy vs. the CVS repository.
#
diff:
	cvs diff --unified 2>/dev/null



#
#  Clean edited files.
#
clean:
	@find . -name '*~' -delete
	@find . -name '.#*' -delete
	@find . -name 'build-stamp' -delete
	@find . -name 'configure-stamp' -delete
	@if [ -d debian/rinse ]; then rm -rf debian/rinse; fi
	@if [ -e ./bin/rinse.8.gz ]; then rm -f ./bin/rinse.8.gz; fi



#
#  Make sure our scripts are executable.
#
fixupperms:
	for i in scripts/*/*.sh; do chmod 755 $$i; done


#
#  Install software
#
install: fixupperms install-manpage
	mkdir -p ${PREFIX}/etc/bash_completion.d
	mkdir -p ${PREFIX}/etc/rinse
	mkdir -p ${PREFIX}/usr/bin
	mkdir -p ${PREFIX}/usr/lib/rinse
	mkdir -p ${PREFIX}/var/cache/rinse
	cp bin/rinse ${PREFIX}/usr/bin/
	chmod 755 ${PREFIX}/usr/bin/rinse
	cp etc/*.packages ${PREFIX}/etc/rinse
	cp etc/*.conf     ${PREFIX}/etc/rinse
	for i in scripts/*/; do name=`basename $$i`; if [ "$$name" != "CVS" ]; then mkdir -p ${PREFIX}/usr/lib/rinse/$$name  ; cp $$i/*.sh ${PREFIX}/usr/lib/rinse/$$name ; fi ; done
	cp misc/rinse ${PREFIX}/etc/bash_completion.d


install-manpage:
	pod2man --release=${VERSION} --official --section=8 ./bin/rinse ./bin/rinse.8
	gzip --force -9 bin/rinse.8
	-mkdir -p ${PREFIX}/usr/share/man/man8/
	mv ./bin/rinse.8.gz ${PREFIX}/usr/share/man/man8/

#
#  Make a new release tarball, and make a GPG signature.
#
release: clean
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name "CVS" -print | xargs rm -rf
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
	cd $(DIST_PREFIX) && tar --exclude=.cvsignore -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz


#
#  Run the test suite.  (Minimal.)
#
test:
	prove --shuffle tests/


#
#  Run the test suite verbosely.  (Minimal.)
#
test-verbose:
	prove --shuffle --verbose tests/


#
#  Update the local copy from the CVS repository.
#
#  NOTE: Removes empty local directories.
#
update: 
	cvs -z3 update -A -P -d 2>/dev/null


#
#  Remove the software.
#
uninstall:
	rm -f  ${PREFIX}/usr/bin/rinse
	rm -f  ${PREFIX}/etc/rinse/*.conf
	rm -f  ${PREFIX}/etc/rinse/*.packages
	rm -rf ${PREFIX}/var/cache/rinse
	rm -rf ${PREFIX}/usr/lib/rinse
	rm -f  ${PREFIX}/etc/bash_completion.d/rinse

## rinse 1.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #
 # Steve
 # --
-# $Id: Makefile,v 1.14 2007-11-13 21:15:46 steve Exp $
 #
 
 
@@ -11,9 +10,9 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 0.9
+VERSION     = 1.3
 BASE        = rinse
-PREFIX      = 
+PREFIX      =
 
 
 #
@@ -31,10 +30,10 @@
 
 
 #
-#  Show what has been changed in the local copy vs. the CVS repository.
+#  Show what has been changed in the local copy vs. the remote repository.
 #
 diff:
-	cvs diff --unified 2>/dev/null
+	hg diff 2>/dev/null
 
 
 
@@ -88,9 +87,11 @@
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
-	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name "CVS" -print | xargs rm -rf
+	perl -pi -e "s/XXUNRELEASEDXX/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/rinse*
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
-	cd $(DIST_PREFIX) && tar --exclude=.cvsignore -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
+	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.hg*
+	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.release
+	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
 	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
@@ -112,12 +113,11 @@
 
 
 #
-#  Update the local copy from the CVS repository.
+#  Update the local copy from the remote repository.
 #
-#  NOTE: Removes empty local directories.
 #
-update: 
-	cvs -z3 update -A -P -d 2>/dev/null
+update:
+	hg pull --update
 
 
 #

## rinse 1.5

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.3
+VERSION     = 1.5
 BASE        = rinse
 PREFIX      =
 
@@ -63,11 +63,11 @@
 install: fixupperms install-manpage
 	mkdir -p ${PREFIX}/etc/bash_completion.d
 	mkdir -p ${PREFIX}/etc/rinse
-	mkdir -p ${PREFIX}/usr/bin
+	mkdir -p ${PREFIX}/usr/sbin
 	mkdir -p ${PREFIX}/usr/lib/rinse
 	mkdir -p ${PREFIX}/var/cache/rinse
-	cp bin/rinse ${PREFIX}/usr/bin/
-	chmod 755 ${PREFIX}/usr/bin/rinse
+	cp bin/rinse ${PREFIX}/usr/sbin/
+	chmod 755 ${PREFIX}/usr/sbin/rinse
 	cp etc/*.packages ${PREFIX}/etc/rinse
 	cp etc/*.conf     ${PREFIX}/etc/rinse
 	for i in scripts/*/; do name=`basename $$i`; if [ "$$name" != "CVS" ]; then mkdir -p ${PREFIX}/usr/lib/rinse/$$name  ; cp $$i/*.sh ${PREFIX}/usr/lib/rinse/$$name ; fi ; done
@@ -96,6 +96,8 @@
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz
+	echo $(VERSION) > .version
+
 
 
 #
@@ -124,7 +126,7 @@
 #  Remove the software.
 #
 uninstall:
-	rm -f  ${PREFIX}/usr/bin/rinse
+	rm -f  ${PREFIX}/usr/sbin/rinse
 	rm -f  ${PREFIX}/etc/rinse/*.conf
 	rm -f  ${PREFIX}/etc/rinse/*.packages
 	rm -rf ${PREFIX}/var/cache/rinse

## rinse 1.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.5
+VERSION     = 1.7
 BASE        = rinse
 PREFIX      =

## rinse 1.9

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.7
+VERSION     = 1.9
 BASE        = rinse
 PREFIX      =
 
@@ -65,6 +65,9 @@
 	mkdir -p ${PREFIX}/etc/rinse
 	mkdir -p ${PREFIX}/usr/sbin
 	mkdir -p ${PREFIX}/usr/lib/rinse
+	mkdir -p ${PREFIX}/usr/lib/rinse/common
+	cp ./scripts.common/* ${PREFIX}/usr/lib/rinse/common
+	chmod 755 ${PREFIX}/usr/lib/rinse/common/*.sh
 	mkdir -p ${PREFIX}/var/cache/rinse
 	cp bin/rinse ${PREFIX}/usr/sbin/
 	chmod 755 ${PREFIX}/usr/sbin/rinse

## rinse 1.9.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.9
+VERSION     = 1.9.1
 BASE        = rinse
 PREFIX      =

## rinse 2.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 1.9.1
+VERSION     = 2.0
 BASE        = rinse
 PREFIX      =

## rinse 2.0.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 2.0
+VERSION     = 2.0.1
 BASE        = rinse
 PREFIX      =

## rinse 3.0.4

=== debian/changelog ===
rinse (3.0.4) unstable; urgency=low

  * add missing package for CentOS 7

 -- Thomas Lange <lange@debian.org>  Fri, 25 Jul 2014 14:35:35 +0200

rinse (3.0.3) unstable; urgency=low

  * always unpack the package filesystem first. This is needed because of
    CentOS/Fedora /usr-move. Some subdirs (like /sbin) are now symlinks
    to /usr/<name>.

 -- Thomas Lange <lange@debian.org>  Fri, 25 Jul 2014 13:24:46 +0200

rinse (3.0.2) unstable; urgency=low

  * add missing package for CentOS 7

 -- Thomas Lange <lange@debian.org>  Wed, 09 Jul 2014 16:20:28 +0200

rinse (3.0.1) unstable; urgency=low

  * add CentOS 7 support, Closes: #754152

 -- Thomas Lange <lange@debian.org>  Tue, 08 Jul 2014 15:05:26 +0200

rinse (3.0) unstable; urgency=low

  * add subroutine updaterpmdb, which fixes the status of the packages
    inside the target (before, they were not recongnized as installed)
  * major changes in output of messages
  * include patches from Nathan O'Sullivan <nathan@mammoth.com.au>
  * add i586 to list of 32bit architectures
  * add config for newer fedora and openSUSE releases, Closes: #684013
  * support sub index page links
  * increase timeout, Closes: #733728
  * new code in sub downloadPackagesToDirectory for determine the download
    link for a certain package
  * setup /etc/rpm/platform in CentOS 5 postinst
  * fix CentOS 4 URL's, Closes: #702315
  * cleanup postinst scripts of openSUSE 11.3 12,3, fedora 19 and 18
  * add support for openSUSE 13.1, mostly a copy of 12.3
  * convert to a native Debian package
  * new rules file, adjust Makefile
  * update standards version, no change needed

 -- Thomas Lange <lange@debian.org>  Fri, 04 Jul 2014 13:19:08 +0200

rinse (2.0.1-1) unstable; urgency=low

  * create missing random devices, thanks to Dan Kegel closes: #685640
  * fix broken fedora urls, add urls for fedora 11-14 closes: #693353
  * Makefile: version++
  * copyright, bin/rinse: year++

 -- Thomas Lange <lange@debian.org>  Mon, 28 Jan 2013 17:19:05 +0100

rinse (2.0-1) unstable; urgency=low

  * make --arch mandatory
  * add option --mirror closes: #663934
  * add support for opensuse 12.1 closes: #661932
    Thanks to Rune Darrud for the patch
  * README: list all supported distributions closes: #661934
  * update Standards-Version, no changes needed
  * rinse.conf: fix URLs of old opensuse repos closes: #661931
  * copy files to and from the cache only if their size is greater zero
    closes: #663936 
  * 10-resolv.conf.sh: add localhost to etc/hosts closes: #633079
  
 -- Thomas Lange <lange@debian.org>  Mon, 28 May 2012 12:30:53 +0200

rinse (1.9.1-1) unstable; urgency=low

  * add missing package for CentOS and SLC 6 (closes: 635645)
  * rinse.conf: fix wrong URL (closes: #635639)  

 -- Thomas Lange <lange@debian.org>  Wed, 31 Aug 2011 11:38:27 +0200

rinse (1.9-1) unstable; urgency=low

  * add CentOS 6 support
  * add RHEL 5 support (closes: #632959)

 -- Thomas Lange <lange@debian.org>  Mon, 18 Jul 2011 14:59:10 +0200

rinse (1.8.1-1) unstable; urgency=low

  * add missing file slc-6.packages

 -- Thomas Lange <lange@debian.org>  Mon, 06 Jun 2011 10:08:22 +0200

rinse (1.8-1) unstable; urgency=low

  * control: new maintainer and upstream
  * centos-5.packages: add missing lib (closes: #623387)
  * centos-5/post-install.sh: install modprobe.conf (closes: #588030)
  * new url's for fedora 8-10 (closes: #573390)
  * add Scientific Linux Cern 5 support (closes: #620081)
  * add SLC 6 support
  * add support for packages with i686 in their names (closes: #623474)
  
 -- Thomas Lange <lange@debian.org>  Mon, 16 May 2011 09:49:21 +0200

rinse (1.7-2) unstable; urgency=high

  * Install a modprobe.conf when possible.
    (Closes: #588030)

 -- Steve Kemp <skx@debian.org>  Fri, 27 Aug 2010 22:11:22 +0000

rinse (1.7-1) unstable; urgency=low

  * Added missing packages so that Centos 5.x will install.
    (Closes: #524486)
  * Avoid hardwired mirrors in the post-install scripts.

 -- Steve Kemp <skx@debian.org>  Tue, 21 Apr 2009 19:18:17 -0000

rinse (1.6-1) unstable; urgency=low

  * Add support for openSuSE 10.1-11.1

 -- Thayne Harbaugh <thayne_atsymbol_fusionio_com>  Fri, 06 Mar 2009 16:35:42 -0700

rinse (1.5-1) unstable; urgency=medium

  * Added support for Fedora Core 10

 -- Steve Kemp <skx@debian.org>  Sat, 20 Dec 2008 23:00:32 +0000

rinse (1.4-1) unstable; urgency=medium

  * Add the new command line flag "--add-pkg-list".  Patch from
    Roberto Suarez Soto.

 -- Steve Kemp <skx@debian.org>  Sun, 16 Nov 2008 14:00:41 +0000

rinse (1.3-2) unstable; urgency=medium

  * Removed several "bashisms" from our scripts
    - Thanks for Ubuntu for the patch / feedback.
    (Closes: #488356)

 -- Steve Kemp <skx@debian.org>  Fri, 27 Jun 2008 15:44:51 +0000

rinse (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Add support for the first release of Fedora Core 9.
  * Updated to standards version 3.8.0.
    - No changes

 -- Steve Kemp <skx@debian.org>  Fri, 27 Jun 2008 15:44:51 +0000

rinse (1.2-1) unstable; urgency=medium

  * New upstream release.
    - Support Fedora Core 9 test preview.
    - Better caching for FC-8
    - Code ran through spellchecker + pretty formatter

 -- Steve Kemp <skx@debian.org>  Wed, 7 May 2008 18:33:33 +0000

rinse (1.1-1) unstable; urgency=medium

  * New upstream release.
    - Updated handling of Centos5.

 -- Steve Kemp <skx@debian.org>  Sat, 30 Apr 2008 18:44:44 +0000

rinse (1.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixed support for FC 5 & 6.
  * Updated standard versions to 3.7.3:
    - Moved Homepage: from description to header.

 -- Steve Kemp <skx@debian.org>  Sat, 15 Mar 2008 23:24:25 +0000

rinse (0.9-1) unstable; urgency=medium

  * New upstream release.
    - Add support for Fedora Core 8 (Closes: #450624)

 -- Steve Kemp <skx@debian.org>  Tue, 13 Nov 2007 21:16:25 +0000

rinse (0.8-1) unstable; urgency=medium

  * New upstream release


=== debian/control ===
Source: rinse
Maintainer: Thomas Lange <lange@debian.org>
Section: admin
Priority: extra
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7)
Homepage: http://collab-maint.alioth.debian.org/rinse/
Vcs-Git: git://git.debian.org/git/collab-maint/rinse.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rinse.git

Package: rinse
Architecture: all
Depends: wget, libterm-size-perl, libwww-perl, perl-modules, rpm
Description: RPM installation environment
 This is a tool for bootstrapping a basic RPM-based distribution of
 GNU/Linux.
 .
 It is comparable in purpose to the standard Debian debootstrap utility,
 but works upon RPM-based distributions instead.
 .
 Rinse can setup 32 and 64-bit installations of:
  * CentOS
  * Scientific Linux CERN
  * Fedora
  * OpenSUSE

## rinse 3.0.9

=== debian/changelog ===
rinse (3.0.9) unstable; urgency=high

  * add dependency on new cpio version
  * fix date of 3.0.7 entry, Closes: #782518

 -- Thomas Lange <lange@debian.org>  Tue, 14 Apr 2015 09:03:48 +0200

rinse (3.0.8) unstable; urgency=high

  * add --extract-over-symlinks to cpio call, Closes: #768501
    this restores the old behaviour of cpio, which changed because of 
    CVE-2015-1197 (see #774669)
  * add check if cpio call failed

 -- Thomas Lange <lange@debian.org>  Mon, 13 Apr 2015 14:51:41 +0200

rinse (3.0.7) unstable; urgency=high

  * control: change depends on perl-modules to perl, Closes: #779118,
    update Vcs-git

 -- Thomas Lange <lange@debian.org>  Wed, 25 Feb 2015 11:47:20 +0100

rinse (3.0.6) unstable; urgency=low

  * add missing symlink for ld

 -- Thomas Lange <lange@debian.org>  Wed, 29 Oct 2014 15:29:08 +0100

rinse (3.0.5) unstable; urgency=low

  * add missing packages for CentOS 6 and 7
  * add commands to postinst for CentOS 7

 -- Thomas Lange <lange@debian.org>  Wed, 29 Oct 2014 15:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7)
 Homepage: http://collab-maint.alioth.debian.org/rinse/
-Vcs-Git: git://git.debian.org/git/collab-maint/rinse.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/rinse.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rinse.git
 
 Package: rinse
 Architecture: all
-Depends: wget, libterm-size-perl, libwww-perl, perl-modules, rpm
+Depends: wget, libterm-size-perl, libwww-perl, perl, rpm, cpio (>= 2.11+dfsg-4.1)
 Description: RPM installation environment
  This is a tool for bootstrapping a basic RPM-based distribution of
  GNU/Linux.

## rinse 3.1.1

=== debian/changelog ===
rinse (3.1.1) unstable; urgency=low

  * fedora-2*: add findutils, iputils
  * fedora-22: add packages for dnf plugins
  * fedora-22/post-install.sh: better DNF support

 -- Thomas Lange <lange@debian.org>  Fri, 28 Aug 2015 15:30:29 +0200

rinse (3.1) unstable; urgency=low

  * add support for fedora 20-22, Closes: #789421
  * mount /proc; Closes: #777739
  * increase timeout
  * fix package list for fedora-1{8,9}
  * control: update standards version

 -- Thomas Lange <lange@debian.org>  Fri, 21 Aug 2015 17:47:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Thomas Lange <lange@debian.org>
 Section: admin
 Priority: extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7)
 Homepage: http://collab-maint.alioth.debian.org/rinse/
 Vcs-Git: git://anonscm.debian.org/collab-maint/rinse.git

=== debian/watch ===
#
#  Watchfile for rinse.
#
#
#  uscan version number - not the version of the software.
#
version=3


#
#  The link to the download location, followed by the regular expression
# to match release tarballs.
#
http://collab-maint.alioth.debian.org/rinse/download/rinse-([\d\.]+)\.tar\.gz

## rinse 3.2

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,17 @@
 #
 #  Makefile for rinse, the RPM installation entity
-#
-# Steve
-# --
-#
 
 
 #
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 2.0.1
 BASE        = rinse
-PREFIX      =
+PREFIX      = ${DESTDIR}
+DIST_PREFIX = ${DESTDIR}
 
+
+include VERSION
 
 #
 #  Report on targets.
@@ -27,15 +25,6 @@
 	@echo "  test-verbose - Run the tests, verbosely"
 	@echo "  uninstall    - Uninstall from ${PREFIX}"
 	@echo " "
-
-
-#
-#  Show what has been changed in the local copy vs. the remote repository.
-#
-diff:
-	hg diff 2>/dev/null
-
-
 
 #
 #  Clean edited files.
@@ -60,24 +49,22 @@
 #
 #  Install software
 #
-install: fixupperms install-manpage
+install: fixupperms
 	mkdir -p ${PREFIX}/etc/bash_completion.d
 	mkdir -p ${PREFIX}/etc/rinse
 	mkdir -p ${PREFIX}/usr/sbin
 	mkdir -p ${PREFIX}/usr/lib/rinse
 	mkdir -p ${PREFIX}/usr/lib/rinse/common
-	cp ./scripts.common/* ${PREFIX}/usr/lib/rinse/common
+	cp -p ./scripts.common/* ${PREFIX}/usr/lib/rinse/common
 	chmod 755 ${PREFIX}/usr/lib/rinse/common/*.sh
 	mkdir -p ${PREFIX}/var/cache/rinse
-	cp bin/rinse ${PREFIX}/usr/sbin/
-	chmod 755 ${PREFIX}/usr/sbin/rinse
-	cp etc/*.packages ${PREFIX}/etc/rinse
-	cp etc/*.conf     ${PREFIX}/etc/rinse
-	for i in scripts/*/; do name=`basename $$i`; if [ "$$name" != "CVS" ]; then mkdir -p ${PREFIX}/usr/lib/rinse/$$name  ; cp $$i/*.sh ${PREFIX}/usr/lib/rinse/$$name ; fi ; done
-	cp misc/rinse ${PREFIX}/etc/bash_completion.d
-
-
-install-manpage:
+	cp -p bin/rinse ${PREFIX}/usr/sbin/
+	perl -pi -e "s/XXUNRELEASEDXX/$(VERSION)/" $(PREFIX)/usr/sbin/rinse*
+	chmod 755 ${PREFIX}/usr/sbin/rinse*
+	cp -p etc/*.packages ${PREFIX}/etc/rinse
+	cp -p etc/*.conf     ${PREFIX}/etc/rinse
+	for i in scripts/*/; do name=`basename $$i`; mkdir -p ${PREFIX}/usr/lib/rinse/$$name  ; cp $$i/*.sh ${PREFIX}/usr/lib/rinse/$$name ; done
+	cp -p misc/rinse ${PREFIX}/etc/bash_completion.d
 	pod2man --release=${VERSION} --official --section=8 ./bin/rinse ./bin/rinse.8
 	gzip --force -9 bin/rinse.8
 	-mkdir -p ${PREFIX}/usr/share/man/man8/
@@ -92,8 +79,6 @@
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	perl -pi -e "s/XXUNRELEASEDXX/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/rinse*
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
-	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.hg*
-	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.release
 	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
 	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
@@ -118,14 +103,6 @@
 
 
 #
-#  Update the local copy from the remote repository.
-#
-#
-update:
-	hg pull --update
-
-
-#
 #  Remove the software.
 #
 uninstall:

=== debian/changelog ===
rinse (3.2) unstable; urgency=low

  * add config for opensuse 42.2
  * rinse.conf: fix URL, Closes: #803360

 -- Thomas Lange <lange@debian.org>  Thu, 01 Dec 2016 21:27:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: rinse
 Architecture: all
-Depends: wget, libterm-size-perl, libwww-perl, perl, rpm, cpio (>= 2.11+dfsg-4.1)
+Depends: wget, libterm-size-perl, libwww-perl, perl, rpm, cpio (>= 2.11+dfsg-4.1), rpm2cpio
 Description: RPM installation environment
  This is a tool for bootstrapping a basic RPM-based distribution of
  GNU/Linux.

## rinse 3.3

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 #  Install software
 #
 install: fixupperms
-	mkdir -p ${PREFIX}/etc/bash_completion.d
+	mkdir -p ${PREFIX}/usr/share/bash-completion/completions
 	mkdir -p ${PREFIX}/etc/rinse
 	mkdir -p ${PREFIX}/usr/sbin
 	mkdir -p ${PREFIX}/usr/lib/rinse
@@ -64,7 +64,7 @@
 	cp -p etc/*.packages ${PREFIX}/etc/rinse
 	cp -p etc/*.conf     ${PREFIX}/etc/rinse
 	for i in scripts/*/; do name=`basename $$i`; mkdir -p ${PREFIX}/usr/lib/rinse/$$name  ; cp $$i/*.sh ${PREFIX}/usr/lib/rinse/$$name ; done
-	cp -p misc/rinse ${PREFIX}/etc/bash_completion.d
+	cp -p misc/rinse ${PREFIX}/usr/share/bash-completion/completions
 	pod2man --release=${VERSION} --official --section=8 ./bin/rinse ./bin/rinse.8
 	gzip --force -9 bin/rinse.8
 	-mkdir -p ${PREFIX}/usr/share/man/man8/

=== debian/changelog ===
rinse (3.3) unstable; urgency=low

  [ Thomas Lange ]
  * control: new URLs, fix priority, update standards version
  * watch: new URL
  * Makefile: new path for completions
  * centos-7.packages: add packages and remove some
  * rinse: create /dev/urandom early, more verbose messages

  [ Dima Kogan ]
  * add fedora 25,26,27,28
  * use archives.fedoraproject.org
  * consolidated identical scripts with symlinks
  * rinse: if a distro has no scripts I barf instead of silently skipping it,
    'pkgs-dir' and 'config' configuration keys can work locally,
    find scripts in their un-installed paths

  [ Ulrich Zehl ]
  * rinse: make RPM links work with HTTPS, Closes: #876268

 -- Thomas Lange <lange@debian.org>  Fri, 18 May 2018 18:58:26 +0200

## rinse 3.3+nmu1

=== debian/changelog ===
rinse (3.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:33:11 +0800

## rinse 3.5

=== debian/changelog ===
rinse (3.5) unstable; urgency=low

  * remove fedora 17 config, Closes: #949040
  * rinse: skip scripts ending with .bak ~ and %
  * CentOS 8: new post-install.sh script, fix package list
  * 20-dev-zero.sh: create /dev/null
  * Makefile: preserve symlinks

 -- Thomas Lange <lange@debian.org>  Wed, 22 Jan 2020 15:24:58 +0100

rinse (3.4) unstable; urgency=low

  [ Thomas Lange ]
  * README: new git urls
  * centos-8.packages: add missing packages
  * rinse.conf: fix fedora-28 URL

  [ Ondřej Nový ]
  * changelog: remove trailing whitespaces

  [ Ulrich Zehl ]
  * rinse: exit if downloading packages failed

  [ Juri Grabowski ]
  * integrate centos8 release

  [ Stefan Möding ]
  * rinse: make rinse downloads reproducible, Closes: #944678

 -- Thomas Lange <lange@debian.org>  Wed, 15 Jan 2020 18:25:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: rinse
 Maintainer: Thomas Lange <lange@debian.org>
 Section: admin
-Priority: extra
-Standards-Version: 3.9.6
+Priority: optional
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 7)
-Homepage: http://collab-maint.alioth.debian.org/rinse/
-Vcs-Git: git://anonscm.debian.org/collab-maint/rinse.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rinse.git
+Vcs-Git: https://salsa.debian.org/debian/rinse.git
+Vcs-Browser: https://salsa.debian.org/debian/rinse
 
 Package: rinse
 Architecture: all

## rinse 3.6

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 	chmod 755 ${PREFIX}/usr/sbin/rinse*
 	cp -p etc/*.packages ${PREFIX}/etc/rinse
 	cp -p etc/*.conf     ${PREFIX}/etc/rinse
-	for i in scripts/*/; do name=`basename $$i`; mkdir -p ${PREFIX}/usr/lib/rinse/$$name  ; cp $$i/*.sh ${PREFIX}/usr/lib/rinse/$$name ; done
+	for i in scripts/*/; do name=`basename $$i`; mkdir -p ${PREFIX}/usr/lib/rinse/$$name  ; cp -P $$i/*.sh ${PREFIX}/usr/lib/rinse/$$name ; done
 	cp -p misc/rinse ${PREFIX}/usr/share/bash-completion/completions
 	pod2man --release=${VERSION} --official --section=8 ./bin/rinse ./bin/rinse.8
 	gzip --force -9 bin/rinse.8

=== debian/changelog ===
rinse (3.6) unstable; urgency=low

  * add opensuse 15.2
  * cleanup package list

 -- Thomas Lange <lange@debian.org>  Thu, 27 Aug 2020 14:31:03 +0200

rinse (3.5.1) unstable; urgency=high

  * rinse: check if cpio supports -extract-over-symlinks, Closes: #961496
  * CentOS 8: add libzstd
  * control: replace compat file with depends on debhelper-compat, update
    standards version

 -- Thomas Lange <lange@debian.org>  Thu, 25 Jun 2020 16:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Thomas Lange <lange@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 7)
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/rinse.git
 Vcs-Browser: https://salsa.debian.org/debian/rinse

## rinse 3.7

=== debian/changelog ===
rinse (3.7) unstable; urgency=low

  * add support for Rocky Linux 8, thanks to Hannes Eberhardt
  * add package to centos-8, Closes: #989286
  * control: update standards version, add Rocky Linux

 -- Thomas Lange <lange@debian.org>  Fri, 27 May 2022 11:55:27 +0200

=== debian/control ===
Source: rinse
Maintainer: Thomas Lange <lange@debian.org>
Section: admin
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 12)
Vcs-Git: https://salsa.debian.org/debian/rinse.git
Vcs-Browser: https://salsa.debian.org/debian/rinse

Package: rinse
Architecture: all
Depends: wget, libterm-size-perl, libwww-perl, perl, rpm, cpio, rpm2cpio
Description: RPM installation environment
 This is a tool for bootstrapping a basic RPM-based distribution of
 GNU/Linux.
 .
 It is comparable in purpose to the standard Debian debootstrap utility,
 but works upon RPM-based distributions instead.
 .
 Rinse can setup 32 and 64-bit installations of:
  * Rocky Linux
  * CentOS
  * Scientific Linux CERN
  * Fedora
  * OpenSUSE

## rinse 4.1

=== debian/changelog ===
rinse (4.1) unstable; urgency=low

  * add support for AlmaLinux 9

 -- Thomas Lange <lange@debian.org>  Sat, 04 Feb 2023 13:03:43 +0100

rinse (4.0.4) unstable; urgency=low

  * remove lib from Rocky 9

 -- Thomas Lange <lange@debian.org>  Thu, 01 Dec 2022 12:48:09 +0100

rinse (4.0.3) unstable; urgency=low

  * cleanup Rocky 9 package list

 -- Thomas Lange <lange@debian.org>  Wed, 30 Nov 2022 23:43:56 +0100

rinse (4.0.2) unstable; urgency=low

  * add package to Rocky 9

 -- Thomas Lange <lange@debian.org>  Sun, 27 Nov 2022 18:15:47 +0100

rinse (4.0.1) unstable; urgency=low

  * add missing libraries for Rocky 8/9, Fedora 36/37

 -- Thomas Lange <lange@debian.org>  Sun, 27 Nov 2022 17:15:45 +0100

rinse (4.0) unstable; urgency=low

  * add Rocky 9, OpenSuse 15.4, Fedora 36 + 37, Closes: #1023259
  * add arm64 support, Closes: #1013904
  * remove a lot of old distributions

 -- Thomas Lange <lange@debian.org>  Sun, 27 Nov 2022 01:34:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Thomas Lange <lange@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/rinse.git
 Vcs-Browser: https://salsa.debian.org/debian/rinse
@@ -20,6 +20,5 @@
  Rinse can setup 32 and 64-bit installations of:
   * Rocky Linux
   * CentOS
-  * Scientific Linux CERN
   * Fedora
   * OpenSUSE

## rinse 4.2

=== debian/changelog ===
rinse (4.2) unstable; urgency=low

  * improve example, Closes #1032689
  * add symlink to /dev/fd
  * add support for AlmaLinux 8
  * fix centos stream package name

 -- Thomas Lange <lange@debian.org>  Sat, 17 Feb 2024 22:32:17 +0100

=== debian/watch ===
#
#  Watchfile for rinse.
#
version=4
opts=filenamemangle=s/.*?\/(\d\S+)\/archive\.tar\.gz/rinse-$1\.tar\.gz/ \
 https://salsa.debian.org/debian/rinse/tags .*?(\d\S+)/archive\.tar\.gz

## rinse 4.3

=== tests/Makefile ===

all:
	@cd ..; prove --shuffle tests/

verbose:
	@cd ..; prove --shuffle --verbose tests/


modules: .PHONY
	./modules.sh > modules.t

.PHONY:
	true

clean:

	rm *~

=== debian/changelog ===
rinse (4.3) unstable; urgency=low

  * Add support for AlmaLinux 10 and Rocky 10
  * rinse: Use fixed config pathes, Closes: #1042411

 -- Thomas Lange <lange@debian.org>  Wed, 15 Oct 2025 13:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Thomas Lange <lange@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/rinse.git
 Vcs-Browser: https://salsa.debian.org/debian/rinse

## rinse 4.3.1

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,8 @@
 	@if [ -e ./bin/rinse.8.gz ]; then rm -f ./bin/rinse.8.gz; fi
 
 
+veryclean: clean
+	$(MAKE) -f debian/rules clean
 
 #
 #  Make sure our scripts are executable.

=== debian/changelog ===
rinse (4.3.1) unstable; urgency=low

  * fix lintian warnings
  * fix package list for AlmaLinux 10 and Rocky 10
  * create systemd symlinks for A10 + R10
  * add more postinst code from packages for A10 + R10

 -- Thomas Lange <lange@debian.org>  Fri, 17 Oct 2025 14:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: rinse
 Architecture: all
-Depends: wget, libterm-size-perl, libwww-perl, perl, rpm, cpio, rpm2cpio
+Depends: wget, libterm-size-perl, libwww-perl, perl, rpm, cpio, rpm2cpio, ${misc:Depends}
 Description: RPM installation environment
  This is a tool for bootstrapping a basic RPM-based distribution of
  GNU/Linux.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:

override_dh_install: build

	dh_testdir
	dh_testroot
	dh_prep
	make install PREFIX=`pwd`/debian/rinse
	dh_installdirs

=== debian/watch ===
#
#  Watchfile for rinse.
#
version=4
opts=filenamemangle=s%.*?/(\d\S+)/archive\.tar\.gz%rinse-$1\.tar\.gz% \
 https://salsa.debian.org/debian/rinse/tags .*?(\d\S+)/archive\.tar\.gz
